es.gob.fnmt.gui

## Enum SignatureNotification.sign_callback_notify

- java.lang.Object
- - java.lang.Enum<SignatureNotification.sign_callback_notify>
  - - es.gob.fnmt.gui.SignatureNotification.sign_callback_notify

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SignatureNotification.sign_callback_notify>
  Enclosing interface:
    SignatureNotification

      public static enum SignatureNotification.sign_callback_notify
      extends java.lang.Enum<SignatureNotification.sign_callback_notify>

  Event type
  - `SIGNATURE_INIT`
  - `SIGNATURE_UPDATE`
  - `SIGNATURE_START`
  - `SIGNATURE_DONE`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SIGNATURE_DONE` When the signature process is finished and no error occur.
    `SIGNATURE_INIT` The signature process is initializing.
    `SIGNATURE_START` When the signature process starts.
    `SIGNATURE_UPDATE` While storing the data to sign.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SignatureNotification.sign_callback_notify` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SignatureNotification.sign_callback_notify[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIGNATURE_DONE

          public static final SignatureNotification.sign_callback_notify SIGNATURE_DONE

      When the signature process is finished and no error occur.

    - #### SIGNATURE_INIT

          public static final SignatureNotification.sign_callback_notify SIGNATURE_INIT

      The signature process is initializing.

    - #### SIGNATURE_START

          public static final SignatureNotification.sign_callback_notify SIGNATURE_START

      When the signature process starts.

    - #### SIGNATURE_UPDATE

          public static final SignatureNotification.sign_callback_notify SIGNATURE_UPDATE

      While storing the data to sign.

  - ### Method Detail

    - #### valueOf

          public static SignatureNotification.sign_callback_notify valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static SignatureNotification.sign_callback_notify[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignatureNotification.sign_callback_notify c : SignatureNotification.sign_callback_notify.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared